Web lists-archives.com

Re: Bug#893056: ITP: libpe1 -- The PE library used by pev




Hi Scott,

I just had a look at similar packages and also the debian maint-guide best practice: 

https://www.debian.org/doc/manuals/maint-guide/advanced.en.html

Regards,

Robert Haist
----------------
2BC8 3F55 A400 7468 864C 680E 1B7C C8D4 D4E9 14AA


> Scott Kitterman <debian@xxxxxxxxxxxxx> hat am 16. März 2018 um 00:13 geschrieben:
> 
> 
> On Thursday, March 15, 2018 11:51:11 PM Robert Haist wrote:
> > Package: wnpp
> > Severity: wishlist
> > Owner: Robert Haist <rhaist@xxxxxxxxxxx>
> > 
> > * Package name    : libpe1
> >   Version         : 1.0.0
> >   Upstream Author : Fernando Mercês
> > * URL             : https://github.com/merces/libpe
> > * License         : LGPLv3
> >   Programming Lang: C
> >   Description     : The PE library used by pev
> > 
> > Currently the pev package in debian contains the pev tools and the library,
> > because upstream had a single integrated repo in the past. Now upstream is
> > divided in two repos and we have to package the library as dependency too.
> 
> Is there a reason you picked libpe1 instead of libpe?  Generally encoding the 
> soname in the source package name is not a good practice.
> 
> Scott K